<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: drawGlyph.cpp File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_844ccf4c9c5f524017223c512b74160f.html">src</a></div>
<h1>drawGlyph.cpp File Reference</h1>libLASi provides a C++ output stream interface for writing multi-language Postscript documents. <a href="#_details">More...</a>
<p>
<code>#include &lt;ostream&gt;</code><br>
<code>#include &lt;freetype/ftoutln.h&gt;</code><br>
<code>#include &lt;algorithm&gt;</code><br>
<code>#include &lt;<a class="el" href="LASi_8h-source.html">LASi.h</a>&gt;</code><br>
<code>#include &lt;config.h&gt;</code><br>
<code>#include &quot;<a class="el" href="glyphMgr_8h-source.html">glyphMgr.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="util_8h-source.html">util.h</a>&quot;</code><br>
<code>#include &quot;memory.h&quot;</code><br>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacestd.html">std</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structStateOfDrawGlyph.html">StateOfDrawGlyph</a></td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static FT_Vector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#692aa84c2e44214f52f2de8db0612b6d">operator+</a> (const FT_Vector &amp;vec1, const FT_Vector &amp;vec2)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static FT_Vector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#70bb24497975b73d67cc02d2a49c3ef2">operator *</a> (const FT_Vector &amp;vec1, const int n)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static FT_Vector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#693dcc2721ee7ae9dea4a938bf96ba27">operator *</a> (const int n, const FT_Vector &amp;vec1)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static FT_Vector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#f3b7a9b6e8a63f3115012246e3923212">operator/</a> (const FT_Vector &amp;vec1, const int n)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#ca74f0c6f59d6fad2e99ef62f016793f">operator&lt;&lt;</a> (ostream &amp;os, const FT_Vector &amp;ftVec)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#42fc91ededc3c0f729db9897a66c4476">xTo</a> (const FT_Vector *pftVec, void *const data, const char *const cmd)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#3cb8a1551e7d92afb3ab4ea02ff1ba49">moveTo</a> (FT_Vector *pftVec, void *data)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#ea0d2d508ed384db57f2d761044e8bff">lineTo</a> (FT_Vector *pftVec, void *data)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#2897af2b56279e1391364e698a054230">cubicTo</a> (FT_Vector *ctrlPt1, FT_Vector *ctrlPt2, FT_Vector *pEndPt, void *data)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#a6b00efe1ec5f625c20ebd5288663694">conicTo</a> (FT_Vector *pCtrlPt, FT_Vector *pEndPt, void *data)</td></tr>

<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const FT_Outline_Funcs&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="drawGlyph_8cpp.html#d7087685ebdad5fc3dcfbb8898bd4144">outlineFuncs</a> = {moveTo, lineTo, conicTo, cubicTo}</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
libLASi provides a C++ output stream interface for writing multi-language Postscript documents. 
<p>
Copyright (C) 2003 Larry Siden. See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution. <hr><h2>Function Documentation</h2>
<a class="anchor" name="a6b00efe1ec5f625c20ebd5288663694"></a><!-- doxytag: member="drawGlyph.cpp::conicTo" ref="a6b00efe1ec5f625c20ebd5288663694" args="(FT_Vector *pCtrlPt, FT_Vector *pEndPt, void *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int conicTo           </td>
          <td>(</td>
          <td class="paramtype">FT_Vector *&nbsp;</td>
          <td class="paramname"> <em>pCtrlPt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">FT_Vector *&nbsp;</td>
          <td class="paramname"> <em>pEndPt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2897af2b56279e1391364e698a054230"></a><!-- doxytag: member="drawGlyph.cpp::cubicTo" ref="2897af2b56279e1391364e698a054230" args="(FT_Vector *ctrlPt1, FT_Vector *ctrlPt2, FT_Vector *pEndPt, void *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int cubicTo           </td>
          <td>(</td>
          <td class="paramtype">FT_Vector *&nbsp;</td>
          <td class="paramname"> <em>ctrlPt1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">FT_Vector *&nbsp;</td>
          <td class="paramname"> <em>ctrlPt2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">FT_Vector *&nbsp;</td>
          <td class="paramname"> <em>pEndPt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ea0d2d508ed384db57f2d761044e8bff"></a><!-- doxytag: member="drawGlyph.cpp::lineTo" ref="ea0d2d508ed384db57f2d761044e8bff" args="(FT_Vector *pftVec, void *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int lineTo           </td>
          <td>(</td>
          <td class="paramtype">FT_Vector *&nbsp;</td>
          <td class="paramname"> <em>pftVec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3cb8a1551e7d92afb3ab4ea02ff1ba49"></a><!-- doxytag: member="drawGlyph.cpp::moveTo" ref="3cb8a1551e7d92afb3ab4ea02ff1ba49" args="(FT_Vector *pftVec, void *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int moveTo           </td>
          <td>(</td>
          <td class="paramtype">FT_Vector *&nbsp;</td>
          <td class="paramname"> <em>pftVec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="693dcc2721ee7ae9dea4a938bf96ba27"></a><!-- doxytag: member="drawGlyph.cpp::operator *" ref="693dcc2721ee7ae9dea4a938bf96ba27" args="(const int n, const FT_Vector &amp;vec1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static FT_Vector operator *           </td>
          <td>(</td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FT_Vector &amp;&nbsp;</td>
          <td class="paramname"> <em>vec1</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="70bb24497975b73d67cc02d2a49c3ef2"></a><!-- doxytag: member="drawGlyph.cpp::operator *" ref="70bb24497975b73d67cc02d2a49c3ef2" args="(const FT_Vector &amp;vec1, const int n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static FT_Vector operator *           </td>
          <td>(</td>
          <td class="paramtype">const FT_Vector &amp;&nbsp;</td>
          <td class="paramname"> <em>vec1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>n</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="692aa84c2e44214f52f2de8db0612b6d"></a><!-- doxytag: member="drawGlyph.cpp::operator+" ref="692aa84c2e44214f52f2de8db0612b6d" args="(const FT_Vector &amp;vec1, const FT_Vector &amp;vec2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static FT_Vector operator+           </td>
          <td>(</td>
          <td class="paramtype">const FT_Vector &amp;&nbsp;</td>
          <td class="paramname"> <em>vec1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FT_Vector &amp;&nbsp;</td>
          <td class="paramname"> <em>vec2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f3b7a9b6e8a63f3115012246e3923212"></a><!-- doxytag: member="drawGlyph.cpp::operator/" ref="f3b7a9b6e8a63f3115012246e3923212" args="(const FT_Vector &amp;vec1, const int n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static FT_Vector operator/           </td>
          <td>(</td>
          <td class="paramtype">const FT_Vector &amp;&nbsp;</td>
          <td class="paramname"> <em>vec1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>n</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ca74f0c6f59d6fad2e99ef62f016793f"></a><!-- doxytag: member="drawGlyph.cpp::operator&lt;&lt;" ref="ca74f0c6f59d6fad2e99ef62f016793f" args="(ostream &amp;os, const FT_Vector &amp;ftVec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const FT_Vector &amp;&nbsp;</td>
          <td class="paramname"> <em>ftVec</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="42fc91ededc3c0f729db9897a66c4476"></a><!-- doxytag: member="drawGlyph.cpp::xTo" ref="42fc91ededc3c0f729db9897a66c4476" args="(const FT_Vector *pftVec, void *const data, const char *const cmd)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static int xTo           </td>
          <td>(</td>
          <td class="paramtype">const FT_Vector *&nbsp;</td>
          <td class="paramname"> <em>pftVec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *const &nbsp;</td>
          <td class="paramname"> <em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *const &nbsp;</td>
          <td class="paramname"> <em>cmd</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Variable Documentation</h2>
<a class="anchor" name="d7087685ebdad5fc3dcfbb8898bd4144"></a><!-- doxytag: member="drawGlyph.cpp::outlineFuncs" ref="d7087685ebdad5fc3dcfbb8898bd4144" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const FT_Outline_Funcs <a class="el" href="drawGlyph_8cpp.html#d7087685ebdad5fc3dcfbb8898bd4144">outlineFuncs</a> = {moveTo, lineTo, conicTo, cubicTo}<code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
